Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

building aem 6.5.0 project with archetype compilation error

Avatar

Level 2

I have create a project with archetype 36 on aem on-premise 6.5.0 and this compilation error appeared while deploying the project to the aem instance. Does someone know how to solve it?

 

[INFO] ------------------------------------------------------------------------

[INFO] Reactor Summary for WKND Sites Project2 0.0.1-SNAPSHOT:

[INFO] 

[INFO] WKND Sites Project2 ................................ SUCCESS [  0.165 s]

[INFO] WKND Sites Project2 - Core ......................... SUCCESS [  6.082 s]

[INFO] WKND Sites Project2 - UI Frontend .................. SUCCESS [  9.510 s]

[INFO] WKND Sites Project2 - Repository Structure Package . SUCCESS [  0.587 s]

[INFO] WKND Sites Project2 - UI apps ...................... SUCCESS [  2.328 s]

[INFO] WKND Sites Project2 - UI content ................... FAILURE [  1.726 s]

[INFO] WKND Sites Project2 - UI config .................... SKIPPED

[INFO] WKND Sites Project2 - All .......................... SKIPPED

[INFO] WKND Sites Project2 - Integration Tests ............ SKIPPED

[INFO] WKND Sites Project2 - Dispatcher ................... SKIPPED

[INFO] WKND Sites Project2 - UI Tests ..................... SKIPPED

[INFO] ------------------------------------------------------------------------

[INFO] BUILD FAILURE

[INFO] ------------------------------------------------------------------------

[INFO] Total time:  21.409 s

[INFO] Finished at: 2022-04-20T14:34:46+02:00

[INFO] ------------------------------------------------------------------------

[ERROR] Failed to execute goal org.apache.jackrabbit:filevault-package-maven-plugin:1.1.6:validate-files (default-validate-files) on project aem-guides-wknd2.ui.content: Found 1 violation(s) (with severity=ERROR). Check above errors for details -> [Help 1]

org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute goal org.apache.jackrabbit:filevault-package-maven-plugin:1.1.6:validate-files (default-validate-files) on project aem-guides-wknd2.ui.content: Found 1 violation(s) (with severity=ERROR). Check above errors for details

    at org.apache.maven.lifecycle.internal.MojoExecutor.doExecute (MojoExecutor.java:306)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:211)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:165)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:157)

    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder.java:121)

    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder.java:81)

    at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build (SingleThreadedBuilder.java:56)

    at org.apache.maven.lifecycle.internal.LifecycleStarter.execute (LifecycleStarter.java:127)

    at org.apache.maven.DefaultMaven.doExecute (DefaultMaven.java:294)

    at org.apache.maven.DefaultMaven.doExecute (DefaultMaven.java:192)

    at org.apache.maven.DefaultMaven.execute (DefaultMaven.java:105)

    at org.apache.maven.cli.MavenCli.execute (MavenCli.java:960)

    at org.apache.maven.cli.MavenCli.doMain (MavenCli.java:293)

    at org.apache.maven.cli.MavenCli.main (MavenCli.java:196)

    at jdk.internal.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

    at jdk.internal.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl.java:62)

    at jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke (Method.java:566)

    at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced (Launcher.java:282)

    at org.codehaus.plexus.classworlds.launcher.Launcher.launch (Launcher.java:225)

    at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode (Launcher.java:406)

    at org.codehaus.plexus.classworlds.launcher.Launcher.main (Launcher.java:347)

Caused by: org.apache.maven.plugin.MojoFailureException: Found 1 violation(s) (with severity=ERROR). Check above errors for details

    at org.apache.jackrabbit.filevault.maven.packaging.ValidationHelper.failBuildInCaseOfViolations (ValidationHelper.java:160)

    at org.apache.jackrabbit.filevault.maven.packaging.ValidateFilesMojo.doExecute (ValidateFilesMojo.java:199)

    at org.apache.jackrabbit.filevault.maven.packaging.AbstractValidateMojo.execute (AbstractValidateMojo.java:257)

    at org.apache.maven.plugin.DefaultBuildPluginManager.executeMojo (DefaultBuildPluginManager.java:137)

    at org.apache.maven.lifecycle.internal.MojoExecutor.doExecute (MojoExecutor.java:301)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:211)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:165)

    at org.apache.maven.lifecycle.internal.MojoExecutor.execute (MojoExecutor.java:157)

    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder.java:121)

    at org.apache.maven.lifecycle.internal.LifecycleModuleBuilder.buildProject (LifecycleModuleBuilder.java:81)

    at org.apache.maven.lifecycle.internal.builder.singlethreaded.SingleThreadedBuilder.build (SingleThreadedBuilder.java:56)

    at org.apache.maven.lifecycle.internal.LifecycleStarter.execute (LifecycleStarter.java:127)

    at org.apache.maven.DefaultMaven.doExecute (DefaultMaven.java:294)

    at org.apache.maven.DefaultMaven.doExecute (DefaultMaven.java:192)

    at org.apache.maven.DefaultMaven.execute (DefaultMaven.java:105)

    at org.apache.maven.cli.MavenCli.execute (MavenCli.java:960)

    at org.apache.maven.cli.MavenCli.doMain (MavenCli.java:293)

    at org.apache.maven.cli.MavenCli.main (MavenCli.java:196)

    at jdk.internal.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

    at jdk.internal.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl.java:62)

    at jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke (Method.java:566)

    at org.codehaus.plexus.classworlds.launcher.Launcher.launchEnhanced (Launcher.java:282)

    at org.codehaus.plexus.classworlds.launcher.Launcher.launch (Launcher.java:225)

    at org.codehaus.plexus.classworlds.launcher.Launcher.mainWithExitCode (Launcher.java:406)

    at org.codehaus.plexus.classworlds.launcher.Launcher.main (Launcher.java:347)

[ERROR] 

[ERROR] Re-run Maven using the -X switch to enable full debug logging.

[ERROR] 

[ERROR] For more information about the errors and possible solutions, please read the following articles:

[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoFailureException

[ERROR] 

[ERROR] After correcting the problems, you can resume the build with the command

[ERROR]   mvn <args> -rf :aem-guides-wknd2.ui.content
1 Accepted Solution

Avatar

Correct answer by
Community Advisor

It seems Archtype and AEM version are not compatible.

You have to go for compatible archtype in order to make bundles active.

 

As suggested by @DEBAL_DAS , check compatibility.

View solution in original post

7 Replies

Avatar

Level 7

Dear @madydieye 

Kindly try below steps:
1. Upgrade your Maven to latest version 
2. Use this command to deploy 

mvn clean install -PautoInstallPackage -Padobe-public

It worked for me!

Screen Shot 2022-04-20 at 10.53.39 AM.png 


Regards,
Santosh

Avatar

Community Advisor

Hi,

Can you try building just ui.content using -X flag in debug mode and check the jdk version as well, it should be 1.8

Avatar

Level 2

In fact my jdk was on 11 I've downgraded it to 1.8 and the project is build successfully but the component don't seem to be available and in developer mode in the page edition I've got a Sling error with page_html.java

Avatar

Correct answer by
Community Advisor

It seems Archtype and AEM version are not compatible.

You have to go for compatible archtype in order to make bundles active.

 

As suggested by @DEBAL_DAS , check compatibility.

Avatar

Community Advisor

This is system requirement for Archetype 36 -

DEBAL_DAS_0-1650469802614.png

Please check your maven version. Are you using any AEM 6.5 service pack ?

Avatar

Level 2

version.png

I'm not sure of the service pack but I'm also using a provide test version for learning meaning.